Download it now!
Bug 89945 - LO won't remember formatting 'text extension inside cell' as reference edge when saved in xlsx
Summary: LO won't remember formatting 'text extension inside cell' as reference edge w...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.4.1.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: XLSX
  Show dependency treegraph
 
Reported: 2015-03-11 06:46 UTC by hrvooje
Modified: 2020-07-12 03:37 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
This is the file in xlsx format with wrong reference edge alignment (4.78 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2015-03-11 06:46 UTC, hrvooje
Details

Note You need to log in before you can comment on or make changes to this bug.
Description hrvooje 2015-03-11 06:46:44 UTC
Created attachment 114029 [details]
This is the file in xlsx format with wrong reference edge alignment

When I press right click in a cell with the border and some text in it, and go to 'format cells' and than 'alignment' and choose 'text orientation' 45° and as a reference edge I select 'text extension inside cell', it won't remeber that format rule when I save it in xlsx.

After the file was saved in xlsx, I open it again and 'reference edge' is changed to 'text extension from lower cell border'. However it should be 'text extension inside cell'. 

It works fine if I save the file in ods.
Comment 1 A (Andy) 2015-03-11 21:29:20 UTC
For me not reproducible with LO 4.4.1.2, Win 8.1
Comment 2 raal 2015-03-13 19:52:01 UTC
I can confirm with Version: 4.4.2.0.0+
Build ID: 3e3f0f5c3051ea982f8f753e0f3e51441e8f9496
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:libreoffice-4-4, Time: 2015-02-22_10:24:01
Comment 3 tommy27 2016-04-16 07:23:13 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2017-05-22 13:22:59 UTC Comment hidden (obsolete)
Comment 5 hrvooje 2017-05-23 06:21:44 UTC
This bug still exist in 5.3.1.2
Comment 6 QA Administrators 2018-07-12 02:44:23 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2020-07-12 03:37:23 UTC
Dear hrvooje,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug